// Voir README.md pour license précise, par Fcalva 2023-2024 et est sous GPLv3

#ifndef moteur_h
#define moteur_h

#include <gint/image.h>

//param. graphiques
#define screen_w 396
#define screen_h 224
#define viewport_w 396
#define viewport_h 224
#define max_dist 0x1FFFFF //en tuiles << 16, actuellement 32

#define TINDEX_S 256

void load_map();
void end_screen();
void draw_walls(image_t *frame_buffer);
void move();

#endif /* moteur */
